# Manual do Usuário do KDE

21/10/2010
Ambiente de Trabalho K
plasmoidviewer
1

# `plasmoidviewer`

Executar os widgets do Plasma na sua própria janela

    plasmoidviewer -c, --containment  nome -f, --formfactor  nome --list --list-wallpapers --list-containments -l, --location  nome -p, --pixmapcache  tamanho -s, --screenshot --screenshot-all -t, --theme  nome -w, --wallpaper  nome applet args --list-remote Opções genéricas do KDE Opções genéricas do Qt

## Descrição

O `plasmoidviewer` é uma ferramenta gráfica que permite aos programadores testarem os mini-aplicativos do Plasma.

Só serão encontrados os mini-aplicativos instalados. O `kbuildsycoca4` poderá ter que ser executado para os mini-aplicativos recém instalados serem encontrados.

## Opções

`-c, --containment nome`

  Nome do plugin do contêiner [nulo].

`-f, --formfactor nome`

  O fator do formato a usar (horizontal, vertical, mediacenter ou planar) [planar].

`--list`

  Mostra uma lista de miniaplicativos conhecidos.

`--list-wallpapers`

  Mostra uma lista com os papéis de parede conhecidos.

`--list-containments`

  Mostra uma lista com os contêineres conhecidos.

`-l, --location nome`

  A restrição de localização com a qual iniciar o contêiner (floating, desktop, fullscreen, top, bottom, left, right) [floating].

`-p, --pixmapcache tamanho`

  O tamanho em KB da cache de imagens.

`-s, --screenshot`

  Faz uma captura de tela do elemento e salva-a na pasta de trabalho como <nome-plugin>.png.

`-s, --screenshot-all`

  Faz uma captura do tela de cada elemento e salva-a a na pasta de trabalho como <nome-plugin>.png.

`-t, --theme nome`

  Tema SVG da área de trabalho a ser usado.

`-w, --wallpaper nome`

  O nome do plugin de papéis de parede. Necessita que um plugin de contêiner seja especificado.

`miniaplicativo`

  Nome do mini-aplicativo a ver; poderá corresponder ao nome do plugin ou à localização (absoluta ou relativa) de um pacote. Caso não seja indicado, é feita uma tentativa de carregamento de um pacote a partir da pasta atual.

`args`

  Argumentos opcionais do mini-aplicativo a ser adicionado.

`--list-remote`

  Mostrar os elementos remotos anunciados por Zeroconf.

## Veja também

Mais documentação do usuário está disponível em help:/plasma-desktop (quer através deste URL no &konqueror;, quer através do comando ``khelpcenter` `help:/plasma-desktop``).

## Autores

O `plasmoidviewer` foi criado por Aaron Seigo aseigo@kde.org.